# -*- coding: utf-8 -*-
# Generated by Django 1.9.13 on 2017-04-19 12:23
from __future__ import unicode_literals

from django.db import migrations, models
from lablackey.geo import widgets
import localflavor.us.models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='City',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('latlon', widgets.LocationField(blank=True, max_length=500, null=True)),
                ('name', models.CharField(max_length=128)),
                ('state', localflavor.us.models.USStateField()),
            ],
            options={
                'ordering': ('name',),
                'verbose_name_plural': 'Cities',
            },
        ),
        migrations.CreateModel(
            name='DXFEntity',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('points', models.TextField()),
                ('dxftype', models.CharField(max_length=16)),
            ],
            options={
                'ordering': ('pk',),
            },
        ),
        migrations.CreateModel(
            name='Location',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('latlon', widgets.LocationField(blank=True, max_length=500, null=True)),
                ('name', models.CharField(blank=True, max_length=128, null=True)),
                ('short_name', models.CharField(blank=True, help_text=b'Optional. Alternative name for the calendar.', max_length=64, null=True)),
                ('address', models.CharField(blank=True, max_length=64, null=True)),
                ('address2', models.CharField(blank=True, max_length=64, null=True)),
                ('zip_code', models.IntegerField(default=77007)),
                ('dxf', models.FileField(blank=True, null=True, upload_to=b'floorplans')),
            ],
            options={
                'ordering': ('name',),
            },
        ),
        migrations.CreateModel(
            name='Room',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(blank=True, max_length=128, null=True)),
                ('short_name', models.CharField(blank=True, help_text=b'Optional. Alternative name for the calendar.', max_length=64, null=True)),
                ('in_calendar', models.BooleanField(default=True, verbose_name=b'can be scheduled for events')),
                ('has_checkoutitems', models.BooleanField(default=False)),
                ('map_key', models.CharField(blank=True, max_length=1, null=True)),
            ],
            options={
                'ordering': ('name',),
            },
        ),
        migrations.CreateModel(
            name='RoomGroup',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=16)),
                ('color', models.CharField(max_length=32)),
            ],
        ),
    ]
